package org.eclipse.cosmos.rm.smlif.internal.content;

import junit.framework.Test;

import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.Path;
import org.eclipse.cosmos.rm.smlif.internal.common.SMLCommonUtil;
import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

/**
 * Generated code for the test suite <b>TestGenicContentDescriber</b> located at
 * <i>/org.eclipse.cosmos.rm.smlif.tests/plugin-junits/TestGenicContentDescriber.testsuite</i>.
 */
public class TestGenicContentDescriber extends HyadesTestCase
{
	/**
	 * Constructor for TestGenicContentDescriber.
	 * @param name
	 */
	public TestGenicContentDescriber(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>TestGenicContentDescriber</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite testGenicContentDescriber = new HyadesTestSuite("TestGenicContentDescriber");
		testGenicContentDescriber.setArbiter(DefaultTestArbiter.INSTANCE).setId("E75EA7EB7475F1DA0838DBB0A27C11DB");
		testGenicContentDescriber.addTest(new TestGenicContentDescriber("testGenicDocumentTypes").setId("E75EA7EB7475F1DAB2E609B9A28211DB").setTestInvocationId("E75EA7EB7475F1DAB6C5DBF0A28211DB"));
		return testGenicContentDescriber;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

	public void checkTypes(String[] files, final int EXPECTED_ID)
	{
		for (int i = 0; i < files.length; i++)
		{
			assertEquals(
					"The check failed for file: " + files[i],
					EXPECTED_ID,
					SMLCommonUtil.identifyDocumentType(ResourcesPlugin.getWorkspace().getRoot().getFile(new Path(files[i])))					
					);
		}
	}
	
	/**
	 * testGenicDocumentTypes
	 * Requires TestSMLSample to be under the context workbench
	 * @throws Exception
	 */
	public void testGenicDocumentTypes() throws Exception
	{
		checkTypes(new String[]{
				"/TestSMLSample/acyclic/InValidCycles/university.xsd",
				"/TestSMLSample/acyclic/InValidDerivation/university.xsd",
				"/TestSMLSample/acyclic/ValidCycles1/university.xsd",
				"/TestSMLSample/acyclic/ValidCycles2/university.xsd",
				"/TestSMLSample/acyclic/ValidDerivation/university.xsd",
				"/TestSMLSample/acyclic/Other/university",
				}, ISMLConstants.TYPE_GENIC);
	}

}
