/********************************************************************** 
 * Copyright (c) 2007 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.cosmos.rm.smlif.internal.common;

import org.eclipse.osgi.util.NLS;

public class SMLMessages extends NLS 
{

	private static final String BUNDLE_NAME = "org.eclipse.cosmos.rm.smlif.internal.common.messages";//$NON-NLS-1$
	
	private SMLMessages() 
	{
		// Do not instantiate
	}
	
	public static String commonCancel;
	public static String commonCopy;
	public static String commonOK;
	public static String commonUnknown;

	public static String dialogErrorDisplaying;
	public static String dialogErrorDisplayingTitle;
	public static String dialogResourceNotFound;
	public static String dialogResourceNotFoundTitle;
	public static String dialogResourceQuestion;
	public static String dialogResourceQuestion1;
	public static String dialogResourceTitle;
	public static String editorAddDocument;

	public static String editorAlias;
	public static String editorAliases;
	public static String editorDocuments;
	public static String editorGenics;
	public static String editorLogicalRepresentation;
	public static String editorLogicalTree;
	public static String editorPhenics;
	public static String editorRemoteDoc;
	public static String editorRemoveDocument;
	public static String editorRemoveDocumentQuestion;
	public static String editorRemoveDocumentTitle;
	public static String editorXMLRepresentation;

	public static String errorAddingDocument0;
	public static String errorAddingDocument1;
	public static String errorAddingDocumentTitle;
	public static String errorModifyingAlias0;
	public static String errorModifyingAliasTitle;
	public static String errorNoSelectionTitle;
	public static String errorNoSelection;
	public static String errorContentTypeTitle;
	public static String errorContentType;
	public static String errorEditorTitle;
	public static String errorEditorPages;
	public static String errorEditorWrongInput;
	public static String errorOpening;
	public static String errorOpeningFileLine;
	public static String errorOpeningTitle;
	public static String errorRemoving;
	public static String errorRemovingAlias1;
	public static String errorRemovingAlias2;
	public static String errorRemovingDocument0;
	public static String errorRemovingDocumentTitle;
	public static String errorSaving0;
	public static String errorSaving1;
	public static String errorSaving2;
	public static String errorSavingTitle;
	public static String errorWrongRootNode;
	public static String errorValidate;
	public static String errorNoInputTitle;
	public static String errorNoInput;
	
	public static String confirmNoErrorTitle;
	public static String confirmNoError;	

	public static String failedValidationTitle;
	public static String failedValidation;

	public static String importErrorTitle;
	public static String importErrorNullSmlifFileName;
	public static String importErrorNullTargetDirName;
	public static String importErrorCouldNotWriteFile;
	public static String importErrorCouldNotCreateDirectory;
	public static String importErrorMissingFileAtLocatorURL;
	public static String importErrorInvalidLocatorURL;
	
	public static String exportErrorTitle;
	public static String exportErrorFileNotReadable;
	public static String exportErrorFileNotFound;
	public static String exportErrorNotADirectory;
	public static String exportErrorDirectoryUnreadable;
	public static String exportErrorDirectoryNotFound;
	public static String exportErrorCouldNotCreateDirectoryStructure;
	
	public static String importWizardTitle;
	public static String importWizardPageTitle;
	public static String importWizardFileInstruction;
	public static String importWizardOptionImportFromFileSystem;
	public static String importWizardOptionImportFromWorkspace;
	public static String importWizardDestinationDirectoryDialogMessage;
	public static String importWizardDestinationDirectoryDialogTitle;
	public static String importWizardSourceFileDialogTitle;
	public static String importWizardLabelSourceFile;
	public static String importWizardBrowseButton;
	public static String importWizardLabelDestinationDirectory;
	public static String importWizardPathsGroupTitle;
	public static String importWizardOptionCreateStructure;
	public static String importWizardOptionOverwriteFiles;
	public static String importWizardOptionGenerateMetadata;
	public static String importWizardErrorInvalidDestinationDirectory;
	public static String importWizardErrorInvalidSourceFile;

	public static String exportWizardOptionExportToFileSystem;
	public static String exportWizardOptionExportToWorkspace;
	public static String exportWizardDestinationGroupTitle;
	public static String exportWizardDescriptionPageTwo;
	public static String exportWizardTitle;
	public static String exportWizardPageTitle;
	public static String exportWizardFileInstruction;
	public static String exportWizardAddButtonLabel;
	public static String exportWizardAliasesLabel;
	public static String exportWizardDetectedDocumentsLabel;
	public static String exportWizardDocumentInformationGroupLabel;
	public static String exportWizardErrorURINotValid;
	public static String exportWizardNewAliasPrompt;
	public static String exportWizardNewAliasTitle;
	public static String exportWizardRemoveButtonText;
	public static String exportWizardTypeLabel;
	public static String exportWizardTypeComboGenic;
	public static String exportWizardTypeComboPhenic;
	public static String exportWizardBaseURILabel;
	public static String exportWizardDescriptionLabel;
	public static String exportWizardNameLabel;
	public static String exportWizardNewRuleDialogPrompt;
	public static String exportWizardIdentityInformationGroupTitle;
	public static String exportWizardNewRuleDialogTitle;
	public static String exportWizardRulesLabel;
	
	public static String editorOverviewTitle;
	public static String editorDocumentTitle;
	public static String editorSMLIFTitle;
	public static String editorName;
	public static String editorDescription;
	public static String editorBaseURI;
	public static String editorDisplayName;
	public static String editorGeneralInformation;
	public static String editorValidateDocument;
	public static String editorAddButton;
	public static String editorRemoveButton;
	public static String editorSMLIF;

	static 
	{
		NLS.initializeMessages(BUNDLE_NAME, SMLMessages.class);
	}
}

