/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.cosmos.rm.smlif.internal.export.ui;

import org.eclipse.core.resources.IContainer;
import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IResource;
import org.eclipse.cosmos.rm.smlif.internal.SMLImages;
import org.eclipse.cosmos.rm.smlif.internal.common.SMLCommonUtil;
import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;

public class ExportResourceTreeLabelProvider extends LabelProvider {
	public String getText(Object element) {
		return ((IResource) element).getName();
	}

	public Image getImage(Object element) {
		if (element instanceof IProject) {
			return SMLImages.INSTANCE.getImage(SMLImages.PROJECT);
		} else if (element instanceof IContainer) {
			return SMLImages.INSTANCE.getImage(SMLImages.FOLDER);
		} else {
			return (SMLCommonUtil.identifyDocumentType((IFile) element) == ISMLConstants.TYPE_GENIC) ?
					SMLImages.INSTANCE.getImage(SMLImages.GENICS) :
					SMLImages.INSTANCE.getImage(SMLImages.PHENICS);
		}
	}
}
