/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.cosmos.rm.smlif.internal.importing;

import org.xml.sax.SAXException;

/**
 * Any exception that occurs during import of an SML-IF file.
 * 
 * Note that this class must be a subclass of SAXException to
 * support JDK 1.4, as the SAX handler will otherwise wrap it
 * in a SAXException anyway.
 * 
 * @author David Whiteman 
 */
public class ImportException extends SAXException {

	// TODO externalize "message" passed in by all references to this class

	private static final long serialVersionUID = -9104410866991019959L;

	public ImportException(String message, Exception exception) {
		super(message, exception);
	}

	public ImportException(String message) {
		super(message);
	}

}
