/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.cosmos.rm.smlif.internal.importing.ui;

import org.eclipse.cosmos.rm.smlif.internal.common.SMLMessages;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.IImportWizard;
import org.eclipse.ui.IWorkbench;

public class ImportFromSMLIFWizard extends Wizard implements IImportWizard {
	
	protected ImportFromSMLIFWizardPage mainPage;
	protected IStructuredSelection selection = null;

	public ImportFromSMLIFWizard() {
		super();
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	public boolean performFinish() {
		/*
		if (((IResource) selection.getFirstElement()).getType() == IResource.FILE) {
			return mainPage.createSMLIFFileFromModelUnits();
		}
		*/
		return mainPage.doImport();
	}
	 
	/* (non-Javadoc)
     * @see org.eclipse.jface.wizard.IWizard#addPages()
     */
    public void addPages() {
        super.addPages();
        
		mainPage = new ImportFromSMLIFWizardPage(SMLMessages.importWizardPageTitle, selection); //NON-NLS-1
		mainPage.setDescription(SMLMessages.importWizardFileInstruction);
        
        addPage(mainPage);
        
        setWindowTitle(SMLMessages.importWizardTitle);
        //getShell().setText(SMLMessages.importFromSMLIFWizardTitle);
    }

	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.selection = selection;
	}

}
