/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.common;

import java.util.Hashtable;
import java.util.Map;

import junit.framework.Test;

import org.eclipse.cosmos.rm.validation.internal.core.IValidator;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

/**
 * Generated code for the test suite <b>TestFileOutput</b> located at
 * <i>/org.eclipse.cosmos.rm.validation.tests/plugin-junits/TestFileOutput.testsuite</i>.
 */
public class TestFileOutput extends HyadesTestCase
{
	/**
	 * Constructor for TestFileOutput.
	 * 
	 * @param name
	 */
	public TestFileOutput(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>TestFileOutput</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite testFileOutput = new HyadesTestSuite("TestFileOutput");
		testFileOutput.setArbiter(DefaultTestArbiter.INSTANCE).setId("EE37FE5993F167C823AD3BB07B4F11DB");
		testFileOutput.addTest(new TestFileOutput("testFileOutput").setId("EE37FE5993F167C828D397B07B4F11DB").setTestInvocationId("EE37FE5993F167C860CA38E07B4F11DB"));
		return testFileOutput;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

	/**
	 * testFileOutput
	 * 
	 * @throws Exception
	 */
	public void testFileOutput() throws Exception
	{
		Map attributes = new Hashtable();
		final String ACTUAL_FILE_PATH = "D:/temp/actual.txt";
		attributes.put(IValidator.ATTRIBUTE_FILE_OUTPUT, ACTUAL_FILE_PATH);
		FileOutput fo = new FileOutput();
		
		fo.initialize(attributes);
		fo.reportError("Message");
		fo.reportWarning("Message");
		fo.reportInfo("Message");
		
		fo.close();		
		UtilityTester.compareFiles("expected-results/fileoutput.txt", ACTUAL_FILE_PATH);	
	}

}
