package org.eclipse.cosmos.rm.validation.internal;

import org.eclipse.core.resources.IMarker;
import org.eclipse.core.resources.ResourcesPlugin;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class SMLActivator extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "org.eclipse.cosmos.rm.validation";

	// The shared instance
	private static SMLActivator plugin;
	
	/**
	 * The constructor
	 */
	public SMLActivator() {
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception 
	{
		super.start(context);
		try 
		{
			IMarker marker = ResourcesPlugin.getWorkspace().getRoot().createMarker("org.eclipse.cosmos.rm.validation.coolproblem");
			marker.setAttribute("coolFactor", "ULTRA");			
		} 
		catch (CoreException e) 
		{
			e.printStackTrace();
		}
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static SMLActivator getDefault() {
		return plugin;
	}

}
