/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.artifacts;

import java.util.Map;

/**
 * Artifact that contains schematron information
 * @author sleeloy
 *
 */
public class SchematronNode {

	protected StringBuffer schematron;
	protected String ruleContext;
	protected Map prefixMap;
	
	public SchematronNode(StringBuffer schematron, String ruleContext, Map prefixMap) {
		super();
		this.schematron = schematron;
		this.ruleContext = ruleContext;
		this.prefixMap = prefixMap;
	}
	public String getRuleContext() {
		return ruleContext;
	}
	public void setRuleContext(String ruleContext) {
		this.ruleContext = ruleContext;
	}
	/**
	 * Returns XML fragment that represents the schematron
	 * @return XML fragment that represents the schematron
	 */
	public StringBuffer getSchematron() {
		return schematron;
	}
	/**
	 * Sets XML fragment that represents the schematron
	 * @param schematron XML fragment that represents the schematron
	 */
	public void setSchematron(StringBuffer schematron) {
		this.schematron = schematron;
	}
	/**
	 * Returns a prefix map used to resolve namespace uris
	 * @return a prefix map used to resolve namespace uris
	 */
	public Map getPrefixMap() {
		return prefixMap;
	}
	/**
	 * Sets prefix map used to resolve namespace uris
	 * @param prefixMap prefix map used to resolve namespace uris
	 */
	public void setPrefixMap(Map prefixMap) {
		this.prefixMap = prefixMap;
	}
	
}
