/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.artifacts;

/**
 * TargetSchemaNode a schema element that has a targetElement attribute
 * @author sleeloy
 *
 */
public class TargetSchemaNode extends ElementNode {
	
	protected TargetSchemaNode substitutionGroup;
	protected String required;
	protected String targetElement;
	protected String targetType;
	
	public TargetSchemaNode() {
		super();
	}

	public TargetSchemaNode(String name, int line, int column) {
		super(name, line, column);
	}

	public String getRequired() {
		if (required == null && substitutionGroup != null)
			return substitutionGroup.getRequired();
		return required;
	}

	public void setRequired(String required) {
		this.required = required;
	}

	public String getTargetElement() {
		if (targetElement == null && substitutionGroup != null)
			return substitutionGroup.getTargetElement();
		return targetElement;
	}

	public void setTargetElement(String targetElement) {
		this.targetElement = targetElement;
	}

	public String getTargetType() {
		if (targetType == null && substitutionGroup != null)
			return substitutionGroup.getTargetType();
		return targetType;
	}

	public void setTargetType(String targetType) {
		this.targetType = targetType;
	}

	public TargetSchemaNode getSubstitutionGroup() {
		return substitutionGroup;
	}

	public void setSubstitutionGroup(TargetSchemaNode substitutionGroup) {
		this.substitutionGroup = substitutionGroup;
	}



}
